gdb (17.2-1ubuntu1) stonking; urgency=medium

  * Merge with Debian unstable. Remaining changes: (LP: #2160470)
    - import upstream tarball for building manpages
    - d/control:
      + added gdb-doc package
      + added (build-)dependency libc6-dbg on armhf
      + exclude libsource-highlight-dev on i386
      + moved libc-dbg from suggests to recommends
    - d/control.in:
      + added (build-)dependency libc6-dbg on armhf
      + exclude libsource-highlight-dev on i386
      + moved libc-dbg from suggests to recommends
    - d/p/gdb-strings.patch: fix grammar in warning message
    - d/p/ptrace-error-verbosity.patch: try to make the PTRACE scope sysctl
      more discoverable via a verbose error message when failures happen.
    - d/p/series: disable gfdl-dont-build-manpages.patch
    - debian/gdb.install & debian/gdbserver.install:
      + include manpages in binary packages
    - d/rules:
      + skip tests on armhf, hanging on the buildds
      + disable lto on ppc64el
      + configure with --disable-werror
      + disable configure with --disable-sim
      + clean gdb/doc/GDBvn.texi before build
      + show test summary after test run
      + disable man-page installation (moved to *.install files)
  * New Changes:
    - d/rules: fix gdb-doc build. Correct the inverted nodoc_profile

 -- Finn Rayk Gartner <finn.gartner@canonical.com>  Mon, 13 Jul 2026 00:57:19 +0200

gdb (17.2-1) unstable; urgency=medium

  * New upstream version 17.2
  * d/rules: Disable babeltrace (CTF) support.
    The Common Trace Format (CTF) is being deprecated and removed
    upstream.  GDB uses babeltrace with the sole purpose of being able to
    decode CTF files, which means we can safely disable linking against
    it.
  * d/control*: Don't B-D on libbabeltrace-dev.
    Support for CTF has been disabled and will be removed in a future
    upstream release.
  * d/p/fix-test-failure-loong64-0*.patch: Remove; adopted upstream.
  * d/s/lintian-overrides: Make existing override more generic.
  * d/control: Bump Standards-Version to 4.7.4; no changes needed.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 10 May 2026 15:42:10 -0400

gdb (17.1-4) unstable; urgency=medium

  * d/p/fix-test-failure-loong64-0*.patch: Fix test failure on loong64.
    This will allow us to (hopefully) reenable tests on the architecture.
    (Closes: #1125934)
  * d/rules: Reenable tests on loong64.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 15 Mar 2026 16:44:41 -0400

gdb (17.1-3) unstable; urgency=medium

  * d/rules: Disable tests on loong64.
    This is a temporary measure until upstream GDB adopts a proposed patch
    to fix the issue described in #1125934. (Closes: #1125934)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 06 Feb 2026 09:42:31 -0500

gdb (17.1-2ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2139387). Remaining changes:
    - import upstream tarball for building manpages
    - d/control:
      + added gdb-doc package
      + added (build-)dependency libc6-dbg on armhf
      + exclude libsource-highlight-dev on i386
      + moved libc-dbg from suggests to recommends
    - d/control.in:
      + added (build-)dependency libc6-dbg on armhf
      + exclude libsource-highlight-dev on i386
      + moved libc-dbg from suggests to recommends
    - d/p/gdb-strings.patch: fix grammar in warning message
    - d/p/ptrace-error-verbosity.patch: try to make the PTRACE scope sysctl
      more discoverable via a verbose error message when failures happen.
    - d/p/series: disable gfdl-dont-build-manpages.patch
    - debian/gdb.install & debian/gdbserver.install:
      + include manpages in binary packages
    - d/rules:
      + skip tests on armhf, hanging on the buildds
      + disable lto on ppc64el
      + configure with --disable-werror
      + disable configure with --disable-sim
      + clean gdb/doc/GDBvn.texi before build
      + show test summary after test run
      + disable man-page installation (moved to *.install files)
  * Drop Changes:
    - d/rules: create $(builddir_$(1))/sim/common to resolve
      ftbfs (LP: 2138687) (Closes: 1126040)
      [Fixed in 17.1-2]

 -- Vladimir Petko <vladimir.petko@canonical.com>  Fri, 30 Jan 2026 15:33:45 +1300

gdb (17.1-2) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.7.3; no changes needed.

  [ Vladimir Petko ]
  * - d/rules: create $(builddir_$(1))/sim/common to resolve
      ftbfs (LP: 2138687) (Closes: #1126040)

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #1124547)
    - Cross-translate gobjc build dependency.
    - Multiarchify Python build dependency.
    - cross.patch: Use host flags for chew.c

 -- Sergio Durigan Junior <sergiodj@debian.org>  Tue, 20 Jan 2026 22:48:45 -0500

gdb (17.1-1ubuntu2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 24 Jan 2026 10:35:31 +0000

gdb (17.1-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2138677). Remaining changes:
    - import upstream tarball for building manpages
    - d/control:
      + added gdb-doc package
      + added (build-)dependency libc6-dbg on armhf
      + exclude libsource-highlight-dev on i386
      + moved libc-dbg from suggests to recommends
    - d/control.in:
      + added (build-)dependency libc6-dbg on armhf
      + exclude libsource-highlight-dev on i386
      + moved libc-dbg from suggests to recommends
    - d/p/gdb-strings.patch: fix grammar in warning message
    - d/p/ptrace-error-verbosity.patch: try to make the PTRACE scope sysctl
      more discoverable via a verbose error message when failures happen.
    - d/p/series: disable gfdl-dont-build-manpages.patch
    - debian/gdb.install & debian/gdbserver.install:
      + include manpages in binary packages
    - d/rules:
      + skip tests on armhf, hanging on the buildds
      + disable lto on ppc64el
      + configure with --disable-werror
      + disable configure with --disable-sim
      + clean gdb/doc/GDBvn.texi before build
      + show test summary after test run
      + disable man-page installation (moved to *.install files)
  * New Changes:
    - d/rules: create $(builddir_$(1))/sim/common to resolve ftbfs
      (LP: #2138687)

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 20 Jan 2026 11:02:36 +1300

gdb (17.1-1) unstable; urgency=medium

  * d/salsa-ci.yml: Ignore debian/experimental branch.
  * d/README.Debian: Update links.
  * d/control.in: Sync with d/control.
  * d/rules: Add comments to canned recipes.
  * New upstream version 17.1
  * d/p/Port-GDB-to-Hurd-x86_64.patch: Remove; upstreamed.
  * d/p/fix-hurd-amd64-warning-osabi.patch: Remove; upstreamed.
  * d/copyright: Update.
  * d/s/lintian-overrides: Update.
  * d/watch: Update to version 5.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 21 Dec 2025 15:09:18 -0500

gdb (16.3-5ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2130723). Remaining changes:
    - import upstream tarball for building manpages
    - d/control:
      + added gdb-doc package
      + added (build-)dependency libc6-dbg on armhf
      + exclude libsource-highlight-dev on i386
      + moved libc-dbg from suggests to recommends
    - d/control.in:
      + added (build-)dependency libc6-dbg on armhf
      + exclude libsource-highlight-dev on i386
      + moved libc-dbg from suggests to recommends
    - d/p/gdb-strings.patch: fix grammar in warning message
    - d/p/ptrace-error-verbosity.patch: try to make the PTRACE scope sysctl
      more discoverable via a verbose error message when failures happen.
    - d/p/series: disable gfdl-dont-build-manpages.patch
    - debian/gdb.install & debian/gdbserver.install:
      + include manpages in binary packages
    - d/rules:
      + skip tests on armhf, hanging on the buildds
      + disable lto on ppc64el
      + configure with --disable-werror
      + disable configure with --disable-sim
      + clean gdb/doc/GDBvn.texi before build
      + show test summary after test run
      + disable man-page installation (moved to *.install files)
  * Drop Chnges:
    - d/rules:
      + explicitly build with hardening=-all,+format.
        This was not doing anything - DEB_BUILD_MAINT_OPTIONS
        were overriden to hardening=+all on the next line.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 06 Nov 2025 08:32:59 +0100

gdb (16.3-5) unstable; urgency=medium

  * d/rules: Remove unused FORCE_CONTROL variable.
  * d/salsa-ci.yml: Disable nocheck, disable blhc pipeline.
    The package should now support 'make check' out of the box.  Also, the
    blhc pipeline has been failing for a while due to missing compiler
    flags when compiling some submodules (opcodes, for example).
  * d/p/fix-hurd-amd64-warning-osabi.patch: Fix osabi warning on Hurd amd64.
    (Closes: #1113764)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 05 Sep 2025 14:20:51 -0400

gdb (16.3-4) unstable; urgency=medium

  * Install gcore on all architectures.
    - d/gdb.install: Reinstate usr/bin/gcore.
    - d/rules: Remove conditional to install gcore on non-hurd-amd64, as
      it's not necessary anymore.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 24 Aug 2025 13:22:05 -0400

gdb (16.3-3) unstable; urgency=medium

  * d/rules: Remove arch-specific files that we don't ship.
  * d/rules: Invoke 'rm' with '-v'.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 23 Aug 2025 22:40:47 -0400

gdb (16.3-2) unstable; urgency=medium

  * d/control{,.in}: Put Debian GDB Team as maintainer.
    Also, move Héctor and I to Uploaders.
  * d/gdb.lintian-overrides: Remove mismatched entries.
  * d/copyright: Fix old-fsf-address-in-copyright-file.
  * d/compat: Remove file.
  * d/control: Migrate to debhelper-compat 13.
  * d/control: Remove unnecessary Rules-Requires-Root binary-targets.
  * d/control: Remove unnecessary ${python3:Depends}.
  * d/rules: Modernize; use dh sequencer.
  * d/s/lintian-overrides: Remove no-dh-sequencer override.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 23 Aug 2025 20:18:48 -0400

gdb (16.3-1ubuntu2) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Thu, 28 Aug 2025 19:19:04 +0000

gdb (16.3-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2118491). Remaining changes:
    - import upstream tarball for building manpages
    - d/control:
      + added gdb-doc package
      + added (build-)dependency libc6-dbg on armhf
      + exclude libsource-highlight-dev on i386
      + moved libc-dbg from suggests to recommends
    - d/control.in:
      + added (build-)dependency libc6-dbg on armhf
      + exclude libsource-highlight-dev on i386
      + moved libc-dbg from suggests to recommends
    - d/p/gdb-strings.patch: fix grammar in warning message
    - d/p/ptrace-error-verbosity.patch: try to make the PTRACE scope sysctl
      more discoverable via a verbose error message when failures happen.
    - d/p/series: disable gfdl-dont-build-manpages.patch
    - debian/gdb.install & debian/gdbserver.install:
      + include manpages in binary packages
    - d/rules:
      + skip tests on armhf, hanging on the buildds
      + disable lto on ppc64el
      + configure with --disable-werror
      + disable configure with --disable-sim
      + clean gdb/doc/GDBvn.texi before build
      + show test summary after test run
      + disable man-page installation (moved to *.install files)
      + explicitly build with hardening=-all,+format.
  * Dropped changes:
    - d/rules: unnecessary delta splitting dh_installchangelogs call for gdb
      and gdbserver packages.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Thu, 31 Jul 2025 11:48:28 -0300

gdb (16.3-1) unstable; urgency=medium

  * d/u/signing-key.asc: Remove problematic key.
    Importing a new version of GDB would lead to uscan errors regarding
    this key.  Moreover, since we're repacking the tarball anyway, the
    signature verification would always fail.
  * d/watch: Remove pgpsigurlmangle option.
  * New upstream version 16.3

 -- Sergio Durigan Junior <sergiodj@debian.org>  Mon, 21 Apr 2025 12:29:40 -0400

gdb (16.2-8ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - import upstream tarball for building manpages
    - debian/control:
      - added gdb-doc package
      - added (build-)dependency libc6-dbg on armhf
      - exclude libsource-highlight-dev on i386
    - debian/control.in:
      - added (build-)dependency libc6-dbg on armhf
      - exclude libsource-highlight-dev on i386
    - debian/patches/series:
      - apply patches gdb-strings and ptrace-error-verbosity
    - debian/gdb.install & debian/gdbserver.install:
      - include manpages in binary packages
    - debian/rules:
      - skip tests on armhf, hanging on the buildds
      - disable lto on ppc64el
      - configure with --disable-werror
      - disable configure with --disable-sim
      - clean gdb/doc/GDBvn.texi before build
      - show test summary after test run
      - disable man-page installation (moved to *.install files)
      - Explicitly build with hardening=-all,+format.

 -- Tim Andersson <tim.andersson@canonical.com>  Thu, 20 Mar 2025 16:02:08 +0000

gdb (16.2-8) unstable; urgency=medium

  * d/rules: Invert rule deciding when libinproctrace is installed.
    It's easier and less error-prone to filter the availability of
    libinproctrace instead of its unavailability.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Tue, 18 Mar 2025 18:38:48 -0400

gdb (16.2-7) unstable; urgency=medium

  * d/rules: Don't install libinproctrace on mips64el.
  * d/rules: s/FLAKY_ARCHITECTURES/FLAKY_TEST_ARCHITECTURES/.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 16 Mar 2025 21:09:53 -0400

gdb (16.2-6) unstable; urgency=medium

  * d/rules: Fix yet another typo with libinproctrace installation.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 16 Mar 2025 13:29:34 -0400

gdb (16.2-5) unstable; urgency=medium

  * d/rules: Fix typo on last upload.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 15 Mar 2025 17:46:43 -0400

gdb (16.2-4) unstable; urgency=medium

  * d/rules: Only install libinproctrace on supported arches.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 15 Mar 2025 16:02:51 -0400

gdb (16.2-3) unstable; urgency=medium

  * d/NEWS: Properly format last entry.
  * d/rules: Small cleanup.
  * d/rules: Don't install gdb.{log,sum}.
    These are artifacts of the test run and don't need to be installed on
    the user's system.
  * d/rules: Install libinproctrace.so on all architectures.
  * d/rules: Properly export build flags.
  * d/control*: Bump Standards-Version to 4.7.2; no changes needed.
  * Move lintian override to proper file.
    - d/gdb.lintian-overrides: Move override from here...
    - d/gdb-multiarch.lintian-overrides: ... to here.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 15 Mar 2025 00:04:57 -0400

gdb (16.2-2ubuntu2) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - import upstream tarball for building manpages
    - debian/control:
      - added gdb-doc package
      - added (build-)dependency libc6-dbg on armhf
      - exclude libsource-highlight-dev on i386
    - debian/control.in:
      - added (build-)dependency libc6-dbg on armhf
      - exclude libsource-highlight-dev on i386
    - debian/patches/series:
      - apply patches gdb-strings and ptrace-error-verbosity
    - debian/gdb.install & debian/gdbserver.install:
      - include manpages in binary packages
    - debian/rules:
      - skip tests on armhf, hanging on the buildds
      - disable lto on ppc64el
      - configure with --disable-werror
      - disable configure with --disable-sim
      - clean gdb/doc/GDBvn.texi before build
      - show test summary after test run
      - disable man-page installation (moved to *.install files)
      - Explicitly build with hardening=-all,+format.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Feb 2025 13:14:05 +0100

gdb (16.2-2) unstable; urgency=medium

  * d/rules: Disable tests on alpha due to flakiness.
  * d/gdb.links: Remove; prepare for the reintroduction of gdb-multiarch.
  * d/control{,.in}: Reintroduce gdb-multiarch. (Closes: #1095738, #1093542)
  * d/rules: Reintroduce gdb-multiarch.
  * d/control{,.in}: Make gdb-minimal transitional package.
  * d/NEWS: Add entry about reintroduction of gdb-multiarch.
  * d/p/Port-GDB-to-Hurd-x86_64.patch: Port GDB to GNU/Hurd amd64.
    (Closes: #1095703)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Mon, 17 Feb 2025 01:09:26 -0500

gdb (16.2-1ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - import upstream tarball for building manpages
    - debian/control:
      - added gdb-doc package
      - added (build-)dependency libc6-dbg on armhf
      - exclude libsource-highlight-dev on i386
    - debian/control.in:
      - added (build-)dependency libc6-dbg on armhf
      - exclude libsource-highlight-dev on i386
    - debian/patches/series:
      - apply patches gdb-strings and ptrace-error-verbosity
    - debian/gdb.install & debian/gdbserver.install:
      - include manpages in binary packages
    - debian/rules:
      - skip tests on armhf, hanging on the buildds
      - disable lto on ppc64el
      - configure with --disable-werror
      - disable configure with --disable-sim
      - clean gdb/doc/GDBvn.texi before build
      - show test summary after test run
      - disable man-page installation (moved to *.install files)
      - Explicitly build with hardening=-all,+format.

  * Drop changes:
    - d/rules: delta related to minimal and multiarch support
      [minimal & multiarch support removed by Debian]

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Mon, 10 Feb 2025 11:14:56 +0530

gdb (16.2-1) unstable; urgency=medium

  * New upstream version 16.2
  * d/control{,.in}: Bump Standards-Version to 4.7.0; no changes needed.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Thu, 06 Feb 2025 18:16:19 -0500

gdb (16.1-2) unstable; urgency=medium

  * d/copyright: Update.
  * d/s/lintian-overrides: Add override about AC_PATH_PROG.
  * d/rules: Disable tests on sparc64.
  * Manually install gcore script, as it isn't available on all arches.
    - d/gdb.install: Remove usr/bin/gcore.
    - d/rules: Only install gcore script on non-hurd-amd64 architectures.
  * d/rules: Disable selftest run.
    For non-development builds, "maintenance selftest" is disable.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 25 Jan 2025 20:10:26 -0500

gdb (16.1-1) unstable; urgency=medium

  * d/gbp.conf: Fix debian-branch.
  * d/control.in: Update.
  * d/gdb.install: Install new "gstack" program.
  * d/NEWS: Add entry about gdb-{minimal,multiarch} drop.
  * d/gdb-multiarch.postinst: Remove unnecessary file.
  * d/rules: Disable test run on x32 and hppa due to flakiness.
  * d/sanitize-gdb.sh: Adapt it to work with uscan.
  * d/watch: Invoke sanitize-gdb.sh to repack.
  * New upstream version 16.1
  * d/gdb.lintian-overrides: Add no-manual-page override for gstack.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 19 Jan 2025 02:03:37 -0500

gdb (16.0.90.20250111-1~exp2) experimental; urgency=medium

  * d/{upstream-signing-key.pgp,s/included-binaries}: Remove.
    We already have the correct signing key located under
    debian/upstream/.
  * d/{gdb.,gdbserver.,source/}lintian-overrides: Improve overrides.
  * d/rules: Improve testsuite execution.
    GDB historically has suffered from flaky testcases.  Let's try to
    workaround this limitation by testing only a subset of known stable
    tests.
    This change also improves the coverage by running tests against native
    GDB, native-gdbserver, and native-extended-gdbserver.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 12 Jan 2025 23:17:56 -0500

gdb (16.0.90.20250111-1~exp1) experimental; urgency=medium

  * d/watch: Modernize.
  * New upstream version 16.0.90.20250111
  * d/sanitize-gdb.sh: Modernize.
    It's unclear whether we still need this script or not.
  * New upstream version 16.0.90.20250111
  * d/rules: Default to --enable-targets=all.
  * d/p/solve_PATH_MAX_issue.patch: Remove.
    nto-tdep.* has been removed upstream.
  * d/p/gfdl-dont-build-manpages.patch: Refresh.
  * d/p/fix-blhc-chew.patch: Refresh.
  * d/p/fix-build.patch: Remove unused patch.
  * d/p/gdb-fortran-main.patch: Remove patch; too old and hard to maintain.
    This patch has been added at least 19 years ago.  GDB has changed *a
    lot* since then, and I'm not convinced this is still necessary.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 11 Jan 2025 19:40:14 -0500

gdb (16.0.90.20241230-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 12:02:56 +0100

gdb (16.0.90.20241230-0ubuntu1) plucky; urgency=medium

  * Snapshot, taken from the gdb-16 branch.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 30 Dec 2024 13:19:59 +0100

gdb (15.2-2~exp1) experimental; urgency=medium

  * d/rules: Simplify "install" definition.
  * d/control{,.minimal}: Get rid of gdb-minimal and gdb-multiarch.
    These packages will now be provided by gdb itself; there's no reason
    to keep them separated.
  * d/rules: Drop support for minimal and multiarch package variants.
  * d/gdb.links: Symlink gdb-multiarch -> gdb for backward-compatibility.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Thu, 09 Jan 2025 20:12:05 -0500

gdb (15.2-1ubuntu2) plucky; urgency=medium

  * Test build.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 15 Dec 2024 11:16:47 +0100

gdb (15.2-1ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - build from upstream tarball
    - debian/control:
      - removed gdb-minimal package
      - added gdb-doc package
      - added (build-)dependency libc6-dbg on armhf
      - exclude libsource-highlight-dev on i386
    - debian/control.in:
      - added (build-)dependency libc6-dbg on armhf
      - exclude libsource-highlight-dev on i386
    - debian/patches/series:
      - apply patches gdb-strings and ptrace-error-verbosity
    - debian/gdb.install & debian/gdbserver.install:
      - include manpages in binary packages
    - debian/rules:
      - skip tests on armhf, hanging on the buildds
      - configure with --disable-werror
      - disable configure with --disable-sim
      - clean gdb/doc/GDBvn.texi before build
      - show test summary after test run
      - disable man-page installation (moved to *.install files)
    - Add loongarch64-linux-gnu as a target for gdb-multiarch.
    - Explicitly build with hardening=-all,+format.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Nov 2024 12:22:30 +0100

gdb (15.2-1) unstable; urgency=medium

  * d/p/gdb-glibc-vdso-workaround.patch: Remove unnecessary patch.
  * Remove obsolete patches.
    - d/p/gdb-6.5-bz185337-resolve-tls-without-debuginfo-v2.patch: Not
      needed anymore; Fedora GDB also removed it recently.
    - d/p/gdb_configure.nat.patch: Not applicable anymore.
    - d/p/fork-inferior-fix: Likewise.
    - d/p/fix-build.patch: Likewise.
  * d/control{,.in}: B-D on pkgconf instead of pkg-config.
  * d/rules: Include pkg-info.mk; don't use dpkg-parsechangelog.
  * d/rules: Use DEB_VENDOR instead of lsb_release.
  * d/control{,.in}: Don't B-D on lsb-release as it's not needed anymore.
  * d/rules: Export DEB_BUILD_MAINT_OPTIONS to enable hardening.
  * d/rules: Drop --dbgsym-migration option from dh_strip.
  * New upstream version 15.2

 -- Sergio Durigan Junior <sergiodj@debian.org>  Mon, 11 Nov 2024 18:19:38 -0500

gdb (15.1-1ubuntu2) oracular; urgency=medium

  * Update from the gdb-15 branch 20240912:
    - Fix loading a saved recording.
    - gdb/solib-frv: Move lm_info object to solib.
    - Mark unavailable bytes of limited-length arrays when allocating
      contents.
    - [gdb] Handle ^C during disassembly.
    - Recognize -2 as a tombstone value in .debug_line.
    - Clear the X86_XSTATE_MPX bit in XCRO for x32.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Sep 2024 08:38:53 +0200

gdb (15.1-1ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining Ubuntu changes:
    - build from upstream tarball
    - debian/control:
      - removed gdb-minimal package
      - added gdb-doc package
      - added (build-)dependency libc6-dbg on armhf
      - exclude libsource-highlight-dev on i386
    - debian/control.in:
      - added (build-)dependency libc6-dbg on armhf
      - exclude libsource-highlight-dev on i386
    - debian/patches/series:
      - apply patches gdb-strings and ptrace-error-verbosity
    - debian/gdb.install & debian/gdbserver.install:
      - include manpages in binary packages
    - debian/rules:
      - skip tests on armhf, hanging on the buildds
      - configure with --disable-werror
      - disable configure with --disable-sim
      - clean gdb/doc/GDBvn.texi before build
      - show test summary after test run
      - disable man-page installation (moved to *.install files)
  * Add loongarch64-linux-gnu as a target for gdb-multiarch.
  * Explicitly build with hardening=-all,+format.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 10 Aug 2024 08:21:32 +0200

gdb (15.1-1) unstable; urgency=medium

  [ Guillem Jover ]
  * Remove references to obsolete m32r arch. (Closes: #1056763)

  [ Joel Stanley ]
  * Add or1k-linux-gnu as a target for gdb-multiarch

  [ Héctor Orón Martínez ]
  * New upstream version 15.1
  * debian/patches: refresh
  * debian/control*: stop gdb-minimal from providing gdb (Closes: #1057780)
  * debian/control{,.in}: make gdb-source Multi-Arch foreign (Closes: #1043445)
  * debian/rules: avoid build failure due to with-mpfr requiring a path
  * debian/patches/gfdl-dont-build-manpages.patch: avoid building manpages

  [Ricardo Ribalda]
  * debian/patches/{fix-blhc-libiberty.patch, fix-blhc-chew.patch}:
    - Fix blhc test for chew and libiberty, false positives
  * debian/rules: Fix reprotest and export build variables

  [ Aurelien Jarno ]
  * Drop kfreebsd-* specific build-depends, the ports have been removed

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 01 Aug 2024 07:27:27 +0200

gdb (15.1-0ubuntu1) oracular; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jul 2024 12:36:00 +0200

gdb (15.0.50.20240403-0ubuntu1) noble; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Apr 2024 12:51:19 +0200

gdb (15.0.50.20240320-0ubuntu1) noble; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Mar 2024 14:25:50 +0100

gdb (15.0.50.20240312-0ubuntu1) noble; urgency=medium

  * New upstream snapshot.
  * Drop the time64 workarounds for armhf.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Mar 2024 12:00:38 +0100

gdb (15.0.50.20240219-0ubuntu1) noble; urgency=medium

  * New upstream snapshot.
  * Support for new IBM Z Hardware (IBM z16). LP: #1982336.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 19 Feb 2024 21:49:40 +0100

gdb (15.0.50.20231231-0ubuntu1) noble; urgency=medium

  * New upstream snapshot.
    - Disable the gdb-glibc-vdso-workaround patch.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 31 Dec 2023 10:44:11 +0100

gdb (14.1-0ubuntu1) noble; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Dec 2023 13:25:02 +0100

gdb (14.0.50.20230907-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Sep 2023 07:55:41 +0200

gdb (14.0.50.20230810-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot.
  * Configure without --with-mpfr (picked up by default).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Aug 2023 07:21:03 +0200

gdb (13.2-1ubuntu1) mantic; urgency=medium

  * Merge with Debian from unstable (LP: #2023016)
    - build from upstream tarball
    - debian/control:
      - removed gdb-minimal package
      - added gdb-doc package
      - added (build-)dependency libc6-dbg on armhf
      - exclude libsource-highlight-dev on i386
    - debian/control.in:
      - added (build-)dependency libc6-dbg on armhf
      - exclude libsource-highlight-dev on i386
    - debian/patches/series:
      - apply patches gdb-strings and ptrace-error-verbosity
    - debian/gdb.install & debian/gdbserver.install:
      - include manpages in binary packages
    - debian/rules:
      - skip tests on armhf, hanging on the buildds
      - configure with --disable-werror
      - disable configure with --disable-sim
      - clean gdb/doc/GDBvn.texi before build
      - show test summary after test run
      - disable man-page installation (moved to *.install files)

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Fri, 16 Jun 2023 14:42:38 +0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog gdb-doc`.
